[134860] trunk/dports/games/teg

devans at macports.org devans at macports.org
Wed Apr 8 16:39:22 PDT 2015


Revision: 134860
          https://trac.macports.org/changeset/134860
Author:   devans at macports.org
Date:     2015-04-08 16:39:22 -0700 (Wed, 08 Apr 2015)
Log Message:
-----------
teg: add patch to fix build, reconfigure using autogen.sh for intltool 0.51 compatibility, dependencies.

Modified Paths:
--------------
    trunk/dports/games/teg/Portfile

Added Paths:
-----------
    trunk/dports/games/teg/files/
    trunk/dports/games/teg/files/autogen.sh
    trunk/dports/games/teg/files/patch-configure.in.diff

Modified: trunk/dports/games/teg/Portfile
===================================================================
--- trunk/dports/games/teg/Portfile	2015-04-08 22:46:31 UTC (rev 134859)
+++ trunk/dports/games/teg/Portfile	2015-04-08 23:39:22 UTC (rev 134860)
@@ -21,18 +21,35 @@
                     sha1 29fe2fa895617d6d6fe9528bf56b43d22bd454f5 \
                     rmd160 2069bb40936fbd87dcf04be145890d0ccb53f6d3
 
-configure.args      --with-readline \
-                    --enable-ggz=no
-
 depends_build       port:pkgconfig \
                     port:intltool \
-                    port:rarian
+                    port:rarian \
+                    port:gnome-common \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
-depends_lib         port:libgnomeui \
+depends_lib         port:gconf \
+                    port:libgnomeui \
+                    port:libiconv \
                     port:readline
 
 depends_run         port:yelp
 
+patchfiles          patch-configure.in.diff
+
+# reconfigure using autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
+configure.args      --disable-maintainer-mode \
+                    --with-readline \
+                    --enable-ggz=no
+
 pre-destroot {
     file mkdir "${destroot}${prefix}/etc/gconf/gconf.xml.defaults/"
     file mkdir "${destroot}${prefix}/etc/gconf/gconf.xml.defaults/apps/"

Added: trunk/dports/games/teg/files/autogen.sh
===================================================================
--- trunk/dports/games/teg/files/autogen.sh	                        (rev 0)
+++ trunk/dports/games/teg/files/autogen.sh	2015-04-08 23:39:22 UTC (rev 134860)
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="Tenes Empanadas Graciela"
+
+(test -f $srcdir/configure.in \
+  && test -f $srcdir/ChangeLog \
+  && test -d $srcdir/client) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+autoreconf --verbose --install
+glib-gettextize --force
+intltoolize --copy --force
+
+
+REQUIRED_AUTOMAKE_VERSION=1.7
+
+USE_GNOME2_MACROS=1 ACLOCAL_FLAGS="-I macros $ACLOCAL_FLAGS" . gnome-autogen.sh


Property changes on: trunk/dports/games/teg/files/autogen.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/dports/games/teg/files/patch-configure.in.diff
===================================================================
--- trunk/dports/games/teg/files/patch-configure.in.diff	                        (rev 0)
+++ trunk/dports/games/teg/files/patch-configure.in.diff	2015-04-08 23:39:22 UTC (rev 134860)
@@ -0,0 +1,11 @@
+--- configure.in.orig	2015-04-08 16:20:33.000000000 -0700
++++ configure.in	2015-04-08 16:21:21.000000000 -0700
+@@ -153,7 +153,7 @@
+ 
+ gui_sources="gui-gnome"
+ CLIENT_CFLAGS="$CLIENT_CFLAGS $TEG_COMMONLIBS_CFLAGS"
+-CLIENT_LIBS="$CLIENT_LIBS $TEG_COMMONLIBS_LIBS"
++CLIENT_LIBS="$CLIENT_LIBS $TEG_COMMONLIBS_LIBS -liconv"
+ 
+ AC_SUBST(gui_sources)
+ AC_SUBST(CLIENT_CFLAGS)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150408/b1cad0e8/attachment.html>


More information about the macports-changes mailing list